2 posts by 2 authors in: Forums > CMS Builder
Last Post: April 10, 2019   (RSS)

By daniel - April 5, 2019

Hi All!

We've just released v3.51 beta 1 (beta list members will get an email shortly). 

As mentioned in the release of v3.50, this and future releases of CMSB will now require PHP 7.1+. Please make sure your PHP version is up-to-date before upgrading!

In addition, we've made a number of smaller improvements and bug fixes, including some library updates (FontAwesome 5, HTML Purifier 4.10.0), improving compatibility with various MySQL versions, and improving memory usage during the backup process. See the full changelog below.

An important note for sites with custom CSS themes: As part of updating to FontAwesome 5, we have made some changes to the default CMSB theme CSS. If you use custom themes - particularly if you employ FontAwesome icons in your CSS - please review the instructions in the changelog to see if you will need to make any updates to your theme.

Changelog

NEW FEATURES
- Server Requirements: PHP 7.1+ is now required (older versions will return an error)

BUG FIXES & MINOR CHANGES
- Upgraded to FontAwesome 5
- HTML 5 Style: Removed trailing slashes from single tags in Code Generator and CMS code
- Admin Menu: Updated admin menu warning to recommend latest supported PHP versions
- Libraries: Updated HTML Purifier from 4.9.3 to 4.10.0 (Released 2018-02-22)
- Fixed HTMLPurifier/PHP 7.2 warning: E_DEPRECATED: idn_to_ascii(): INTL_IDNA_VARIANT_2003 is deprecated
- Updated backup process to use considerably less memory
- MySQL 8 compatibility: Remove deprecated SQL mode, addressing case-sensitivity in information schema fields.
- Fix error when restoring encrypted fields to a blank database.
- Fix issue with Chrome autocomplete activating on admin pages.
- Removed unused libraries: swfObject, mobile_detect
- Misc Code and other minor improvements.

CSS UPDATES/CUSTOM THEMES
As part of the FontAwesome 5 update, some updates have been made to the base CSS theme templates included with CMSB.
If you use a custom CSS theme that is based on these theme templates, it will likely need to be updated.
Please compare to the new versions to match these changes if necessary. The specific changes are:
- The selector ".dragger, .label" (original line 17) has been changed to ".label"
- The block "ul.main-navigation-menu > li > ul > li.current > a:after { ... }" (original lines 64-71) has been fully reworked.
To see the differences compare /3rdParty/clipone/css/theme_blue.css.old with theme_blue.css

Also note that if your custom theme added any FontAwesome icons using pseudo-elements, they will also need to be updated
as per: https://fontawesome.com/how-to-use/on-the-web/advanced/css-pseudo-elements

If you're not already on the beta tester email list and you'd like to get notified of upcoming betas you can sign up here: http://www.interactivetools.com/news/manage.php

And you can download the latest beta here: https://www.interactivetools.com/order/download.php

Please post any feedback, questions, or bugs you find! Thanks! 

Daniel
PHP Programmer
interactivetools.com

By Deborah - April 10, 2019

Daniel, All looks well from here.

Thankful for the Font Awesome 5 upgrade.
Always happy for speed improvements such as, "Updated backup process to use considerably less memory".

Thanks for keeping CMSB current and moving forward!

~ Deborah